// AreYouSure.cpp : implementation file
//

#include "stdafx.h"
#include "wgscmaps.h"
#include "AreYouSure.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// AreYouSure dialog


AreYouSure::AreYouSure(CWnd* pParent /*=NULL*/)
	: CDialog(AreYouSure::IDD, pParent)
{
	//{{AFX_DATA_INIT(AreYouSure)
	m_exp = _T("");
	//}}AFX_DATA_INIT
}


void AreYouSure::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(AreYouSure)
	DDX_Text(pDX, IDC_EXPLANATION, m_exp);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(AreYouSure, CDialog)
	//{{AFX_MSG_MAP(AreYouSure)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// AreYouSure message handlers

void AreYouSure::SetExplanation( const char *exp )
{
     ASSERT( exp != NULL );
     m_exp = exp;
}

BOOL AreYouSure::Confirm()
{
     DWORD     res = DoModal();

     return( res == IDOK );
}
